package com.ruoyi.project.patrol.patrol.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 消气防设施和器材检查计划总对象 t_patrol_main
 *
 * @author ruoyi
 * @date 2023-08-22
 */
public class TPatrolMain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 被检查设施名称 */
    @Excel(name = "被检查设施名称")
    private String devName;

    /** 设施数量 */
    @Excel(name = "设施数量")
    private String devNum;

    /**
     * 检查周期
     * 每半个月一次=1;每个月一次=2;每三个月一次=3;每半年一次=4;每年一次=5;
     * */
    @Excel(name = "检查周期",dictType = "inspection_cycle")
    private String checkCycle;

    /** 年 */
    @Excel(name = "年")
    private String year;

    /** 一月 */
    @Excel(name = "一月",readConverterExp = "1=√,0=X")
    private String jan;

    /** 二月 */
    @Excel(name = "二月",readConverterExp = "1=√,0=X")
    private String feb;

    /** 三月 */
    @Excel(name = "三月",readConverterExp = "1=√,0=X")
    private String mar;

    /** 四月 */
    @Excel(name = "四月",readConverterExp = "1=√,0=X")
    private String apr;

    /** 五月 */
    @Excel(name = "五月",readConverterExp = "1=√,0=X")
    private String may;

    /** 六月 */
    @Excel(name = "六月",readConverterExp = "1=√,0=X")
    private String jun;

    /** 七月 */
    @Excel(name = "七月",readConverterExp = "1=√,0=X")
    private String jul;

    /** 八月 */
    @Excel(name = "八月",readConverterExp = "1=√,0=X")
    private String aug;

    /** 九月 */
    @Excel(name = "九月",readConverterExp = "1=√,0=X")
    private String sep;

    /** 十月 */
    @Excel(name = "十月",readConverterExp = "1=√,0=X")
    private String oct;

    /** 十一月 */
    @Excel(name = "十一月",readConverterExp = "1=√,0=X")
    private String nov;

    /** 十二月 */
    @Excel(name = "十二月",readConverterExp = "1=√,0=X,1")
    private String dec;

    /** 检查责任人 */
    @Excel(name = "检查责任人")
    private String personLiable;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
   // @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
   // @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    //@Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    //@Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    //@Excel(name = "部门编号")
    private Long deptId;

    private String devLink;

    private String patrolType;

    public String getPatrolType() {
        return patrolType;
    }

    public void setPatrolType(String patrolType) {
        this.patrolType = patrolType;
    }

    public String getDevLink() {
        return devLink;
    }

    public void setDevLink(String devLink) {
        this.devLink = devLink;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevName(String devName)
    {
        this.devName = devName;
    }

    public String getDevName()
    {
        return devName;
    }
    public void setDevNum(String devNum)
    {
        this.devNum = devNum;
    }

    public String getDevNum()
    {
        return devNum;
    }
    public void setCheckCycle(String checkCycle)
    {
        this.checkCycle = checkCycle;
    }

    public String getCheckCycle()
    {
        return checkCycle;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setJan(String jan)
    {
        this.jan = jan;
    }

    public String getJan()
    {
        return jan;
    }
    public void setFeb(String feb)
    {
        this.feb = feb;
    }

    public String getFeb()
    {
        return feb;
    }
    public void setMar(String mar)
    {
        this.mar = mar;
    }

    public String getMar()
    {
        return mar;
    }
    public void setApr(String apr)
    {
        this.apr = apr;
    }

    public String getApr()
    {
        return apr;
    }
    public void setMay(String may)
    {
        this.may = may;
    }

    public String getMay()
    {
        return may;
    }
    public void setJun(String jun)
    {
        this.jun = jun;
    }

    public String getJun()
    {
        return jun;
    }
    public void setJul(String jul)
    {
        this.jul = jul;
    }

    public String getJul()
    {
        return jul;
    }
    public void setAug(String aug)
    {
        this.aug = aug;
    }

    public String getAug()
    {
        return aug;
    }
    public void setSep(String sep)
    {
        this.sep = sep;
    }

    public String getSep()
    {
        return sep;
    }
    public void setOct(String oct)
    {
        this.oct = oct;
    }

    public String getOct()
    {
        return oct;
    }
    public void setNov(String nov)
    {
        this.nov = nov;
    }

    public String getNov()
    {
        return nov;
    }
    public void setDec(String dec)
    {
        this.dec = dec;
    }

    public String getDec()
    {
        return dec;
    }
    public void setPersonLiable(String personLiable)
    {
        this.personLiable = personLiable;
    }

    public String getPersonLiable()
    {
        return personLiable;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devName", getDevName())
            .append("devNum", getDevNum())
            .append("checkCycle", getCheckCycle())
            .append("year", getYear())
            .append("jan", getJan())
            .append("feb", getFeb())
            .append("mar", getMar())
            .append("apr", getApr())
            .append("may", getMay())
            .append("jun", getJun())
            .append("jul", getJul())
            .append("aug", getAug())
            .append("sep", getSep())
            .append("oct", getOct())
            .append("nov", getNov())
            .append("dec", getDec())
            .append("personLiable", getPersonLiable())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
